New st-client deployment. Allow to load same stack id (accumulative services), ignori...
[anna.git] / example / diameter / launcher / deployments / st-client / run.sh
diff --git a/example/diameter/launcher/deployments/st-client/run.sh b/example/diameter/launcher/deployments/st-client/run.sh
new file mode 100755 (executable)
index 0000000..27aa362
--- /dev/null
@@ -0,0 +1,11 @@
+#!/bin/bash
+cd `dirname $0`
+EXE_BN=`basename $PWD`
+STARTED=`pgrep $EXE_BN 2>/dev/null`
+[ $? -eq 0 ] && { echo "Already started!"; echo "$STARTED" ; exit 1 ; }
+0> launcher.trace
+rm -f counters/* test-reports/*
+# Execution line:
+nohup ./ADML-client --cntDir counters --tmDir test-reports --disableLogs --services $SERVICES > stdout &
+echo $! > .pid
+